LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
DatabaseDefinition Service Referencepublished

could be used as an extension for performing data definition tasks on databases, and to control the access rights on database objects. More...

`import"DatabaseDefinition.idl";`

Inheritance diagram for DatabaseDefinition:

## Exported Interfaces
interface | XTablesSupplier
interface | XViewsSupplier
| The implementation is optional. More...
interface | XUsersSupplier
| The implementation is optional. More...
interface | XGroupsSupplier
| The implementation is optional. More...

## Additional Inherited Members
Public Member Functions inherited from XTablesSupplier
com::sun::star::container::XNameAccess | getTables ()
| returns the container of tables. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XViewsSupplier
com::sun::star::container::XNameAccess | getViews ()
| returns the container of views. More...
Protected Member Functions inherited from XUsersSupplier
com::sun::star::container::XNameAccess | getUsers ()
| returns the container of users. More...
Protected Member Functions inherited from XGroupsSupplier
com::sun::star::container::XNameAccess | getGroups ()
| returns the container of groups. More...

## Detailed Description

could be used as an extension for performing data definition tasks on databases, and to control the access rights on database objects.

It may be implemented by a database driver provider, to encapsulate the complexity of data definition, and to give a common way for data definition as the DDL of most DBMS differs.

At least, the access to the tables of a database should be implemented. The implementation of other known database objects like views is optional.

To control the access rights of users, there is the possibility to implement objects like users and groups.

Developers Guide
  Database Access - Connections - Understanding Connections - Data Definition

## Exported Interfaces

## ◆ XGroupsSupplier

interface XGroupsSupplier
| optional

The implementation is optional.

## ◆ XTablesSupplier

interface XTablesSupplier

## ◆ XUsersSupplier

interface XUsersSupplier
| optional

The implementation is optional.

## ◆ XViewsSupplier

interface XViewsSupplier
| optional

The implementation is optional.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/DatabaseDefinition.idl